Represents a Contract Renewal Clause in SOFT4Spaces. A renewal clause specifies a date on which the lease contract can be renewed and the date by which the notice has to be given. On the Lease Contract Card, these records are shown in the Renewal Options section.
Note
For information about enabling APIs for Business Central see Overview.
API endpoint
| API | Path |
| contract |
businesscentralPrefix/ |
Methods
| Method | Return Type | Description |
| GET contract |
contract |
Gets contract renewal clause objects. |
| GET contract |
contract |
Gets a contract renewal clause object. |
| POST contract |
contract |
Creates a contract renewal clause object. |
| PATCH contract |
contract |
Updates a contract renewal clause object. |
| DELETE contract |
none | Deletes a contract renewal clause object. |
GET contractRenewalClauses
Description
Retrieves existing contract renewal clause records from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the contract renewal clause records.
Example Response
JSON
|
{ "value": [ { "id": "5b1e3d62-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "renewalOptionDate": "2028-12-31", "noticeDay": "2028-06-30", "description": "Renewal for 5 years", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } ] } |
GET contractRenewalClause
Description
Retrieves an existing contract renewal clause record from Business Central.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the contract renewal clause record.
Example Response
JSON
|
{ "id": "5b1e3d62-2b7e-f111-a056-000d3aba387d", "leaseContractNo": "LC00001", "renewalOptionDate": "2028-12-31", "noticeDay": "2028-06-30", "description": "Renewal for 5 years", "systemCreatedAt": "2026-10-13T09:15:00Z", "systemCreatedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68", "systemModifiedAt": "2026-10-13T09:15:00Z", "systemModifiedBy": "6ac927c2-1d2f-437f-89ed-3cb0cf930e68" } |
GET [filter] contractRenewalClauses
Description
Retrieves the contract renewal clause records of a specific lease contract.
HTTP Request
GET
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 200 OK status code and JSON object representing the contract renewal clause records of the lease contract.
POST contractRenewalClause
Description
Creates a new contract renewal clause in Business Central.
HTTP Request
POST
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide a JSON object with contract renewal clause data.
JSON
|
{ "leaseContractNo": "LC00001", "renewalOptionDate": "2028-12-31", "noticeDay": "2028-06-30", "description": "Renewal for 5 years" } |
Response
Returns a 201 Created status code and the created contract renewal clause object.
PATCH contractRenewalClause
Description
Updates an existing contract renewal clause in Business Central.
HTTP Request
PATCH
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
Provide the fields of the contract renewal clause to be updated.
JSON
|
{ "description": "Renewal for 3 years" } |
Response
Returns a 200 OK status code and the updated object.
DELETE contractRenewalClause
Description
Deletes an existing contract renewal clause from Business Central.
HTTP Request
DELETE
https://{{businesscentralPrefix}}/
Request Headers
| Header | Value |
| Authorization | Bearer {token}. Required. |
| Accept | application/ |
Request Body
None.
Response
Returns a 204 No Content status code.
Properties
| Property | Type | Description |
| id | GUID | The unique ID of the contract renewal clause. Non-editable. |
| leaseContractNo | string | Specifies the number of the lease contract to which the renewal clause belongs. |
| renewalOptionDate | date | Specifies the date on which the renewal option can be exercised. |
| noticeDay | date | Specifies the date by which the renewal notice has to be given. Note: this is a date, not a number of days. |
| description | string | Specifies the description of the renewal clause. |
| systemCreatedAt | datetime | The datetime the contract renewal clause was created. |
| systemCreatedBy | GUID | The ID of the user who created the contract renewal clause. |
| systemModifiedAt | datetime | The last datetime the contract renewal clause was modified. |
| systemModifiedBy | GUID | The ID of the user who modified the contract renewal clause. |
JSON Representation
|
{ "id": "GUID", "leaseContractNo": "string", "renewalOptionDate": "date", "noticeDay": "date", "description": "string", "systemCreatedAt": "datetime", "systemCreatedBy": "GUID", "systemModifiedAt": "datetime", "systemModifiedBy": "GUID" } |